//=============================================================================
// ABomb.
//=============================================================================
class ABomb expands DeusExDecoration;


function Bump(actor Other)
{
//Do nothing.
}


function PostBeginPlay()
{
local abomb AB;
local int f;


foreach AllActors(class'ABomb',AB)
 {
  f++;
  if(F >= 10)
  {
  Destroy();
  BroadcastMessage("|p2You cannot spawn any more of these as the explosions will cause lag.");
  return;
  }
 }
 
BroadcastMessage("|p2WARNING:|P4 Bomb activated. Destruction imminent!");
SetTimer(60,false);
}

function Timer()
{
	
	ExplodeTime();
}

function ExplodeTime()
{
	local SphereEffect sphere;
	local ScorchMark s;
	local ExplosionLight light;
	local int i;
	local float explosionDamage;
	local float explosionRadius;

	explosionDamage = 1000;
	explosionRadius = 4000;

	// alert NPCs that I'm exploding
	AISendEvent('LoudNoise', EAITYPE_Audio, , explosionRadius*16);
	PlaySound(Sound'LargeExplosion1', SLOT_None,,, explosionRadius*16);

	// draw a pretty explosion
	light = Spawn(class'ExplosionLight',,, Location);
	if (light != None)
		light.size = 125;

	Spawn(class'ExplosionLarge',,, Location + 2*VRand()*CollisionRadius);
	Spawn(class'ExplosionLarge',,, Location + 2*VRand()*CollisionRadius);
	Spawn(class'ExplosionLarge',,, Location + 2*VRand()*CollisionRadius);
	Spawn(class'ExplosionLarge',,, Location + 2*VRand()*CollisionRadius);

	sphere = Spawn(class'SphereEffect',,, Location);
	if (sphere != None)
		sphere.size = explosionRadius / 32.0;
		
		

	// spawn a mark
	s = spawn(class'ScorchMark', Base,, Location-vect(0,0,1)*CollisionHeight, Rotation+rot(16384,0,0));
	if (s != None)
	{
		s.DrawScale = FClamp(explosionDamage/30, 0.1, 3.0);
		s.ReattachDecal();
	}

	HurtRadius(explosionDamage, explosionRadius, 'Exploded', explosionDamage*100, Location);
	Destroy();



}

defaultproperties
{
     bInvincible=True
     bFlammable=True
     bExplosive=True
     explosionDamage=1000
     explosionRadius=4000.000000
     ItemName="OMG JC A BOMB!"
     Mesh=LodMesh'DeusExItems.AugmentationCannister'
     DrawScale=3.000000
     MultiSkins(1)=Texture'DeusExDeco.Skins.AlarmLightTex3'
     SoundVolume=255
     AmbientSound=Sound'DeusExSounds.Weapons.LAMAmbient'
     CollisionRadius=12.930000
     CollisionHeight=30.719999
     LightBrightness=255
     LightSaturation=100
     LightRadius=16
     FamiliarName="A BOMB!"
     UnfamiliarName="A BOMB!"
}
