//=============================================================================
// PowerBall.
//=============================================================================
class PowerBall expands Basketball;

var float lastDamageTime;


function DamageOther(Actor Other)
{
	if ((Other != None) && !Other.IsA('ScriptedPawn'))
	{
		// only take damage every second
		if (Level.TimeSeconds - lastDamageTime >= 1.0)
		{
			Other.TakeDamage(20, None, Location, vect(0,0,0), 'Burned');
			lastDamageTime = Level.TimeSeconds;
		}
	}
}

singular function SupportActor(Actor Other)
{
	DamageOther(Other);
	Super.SupportActor(Other);
}

singular function Bump(Actor Other)
{
	DamageOther(Other);
	Super.Bump(Other);
}

defaultproperties
{
     HitPoints=1000
     minDamageThreshold=5
     bInvincible=False
     bExplosive=True
     explosionDamage=2000
     explosionRadius=9000.000000
     ItemName="|p7POWER BALL"
     PushSound=Sound'DeusExSounds.Generic.Spark1'
     DrawScale=2.000000
     bUnlit=True
     MultiSkins(0)=FireTexture'Effects.Fire.Wepn_Prifle_SFX'
     SoundVolume=255
     SoundPitch=128
     AmbientSound=Sound'DeusExSounds.Augmentation.AugDroneLoop'
     CollisionRadius=20.000000
     CollisionHeight=20.000000
     LightType=LT_Flicker
     LightBrightness=255
     LightHue=120
     LightSaturation=180
     LightRadius=16
}
